Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
[Java] Class Proxy

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.util.Proxy

    public class Proxy
    extends GroovyObjectSupport

Dynamic groovy proxy for another object. All method invocations get forwarded to actual object, unless the proxy overrides it. See groovy/util/ProxyTest.groovy for usage details.

Authors:
  Troy Heninger
  Dierk Koenig

Method Summary
`java.lang.Object` | `getAdaptee()`
`java.lang.Object` | `invokeMethod(java.lang.String name, java.lang.Object args)`
`java.util.Iterator` | `iterator()`
`void` | `setAdaptee(java.lang.Object adaptee)`
`Proxy` | `wrap(java.lang.Object adaptee)` This method is for convenience.

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getAdaptee

    public java.lang.Object getAdaptee()

### invokeMethod

    public java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args)

### iterator

    public java.util.Iterator iterator()

### setAdaptee

    public void setAdaptee(java.lang.Object adaptee)

### wrap

    public Proxy wrap(java.lang.Object adaptee)

  This method is for convenience. It allows to get around the need for defining dump ctors is subclasses. See unit tests for details.

Groovy Documentation